Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.webdav
Class DAVReply

    java.lang.Object
      |
      +--org.w3c.www.http.HttpMessage
            |
            +--org.w3c.www.http.HttpEntityMessage
                  |
                  +--org.w3c.www.http.HttpReplyMessage
                        |
                        +--org.w3c.www.protocol.http.Reply
                              |
                              +--org.w3c.www.protocol.webdav.DAVReply

All Implemented Interfaces:
  java.lang.Cloneable, HTTP, MimeHeaderHolder, WEBDAV

public class DAVReply
extends Reply
implements WEBDAV

Field Summary

Fields inherited from class org.w3c.www.protocol.http.Reply
`DEFAULT_TYPE, definesInput, input`

Fields inherited from class org.w3c.www.http.HttpReplyMessage
`H_ACCEPT_RANGES, H_AGE, H_AUTHENTICATION_INFO, H_LOCATION, H_PROXY_AUTHENTICATE, H_PUBLIC, H_RETRY_AFTER, H_SERVER, H_VARY, H_WARNING, H_WWW_AUTHENTICATE, reason, status`

Fields inherited from class org.w3c.www.http.HttpEntityMessage
`H_ALLOW, H_CONTENT_BASE, H_CONTENT_ENCODING, H_CONTENT_LANGUAGE, H_CONTENT_LENGTH, H_CONTENT_LOCATION, H_CONTENT_MD5, H_CONTENT_RANGE, H_CONTENT_TYPE, H_ETAG, H_EXPIRES, H_LAST_MODIFIED`

Fields inherited from class org.w3c.www.http.HttpMessage
`descriptors, EMIT_ALL, EMIT_BODY, EMIT_FOOTERS, EMIT_HEADERS, emitdate, factory, H_CACHE_CONTROL, H_CMAN_EXT, H_CONNECTION, H_COOKIE, H_COPT_EXT, H_DATE, H_MAN_EXT, H_OPT_EXT, H_PRAGMA, H_PROTOCOL, H_PROTOCOL_INFO, H_PROTOCOL_QUERY, H_PROTOCOL_REQUEST, H_PROXY_CONNECTION, H_SET_COOKIE, H_TRAILER, H_TRANSFER_ENCODING, H_UPGRADE, H_VIA, headers, major, MAX_HEADERS, minor, state, values`

Fields inherited from interface org.w3c.www.webdav.WEBDAV
`CLASS_1_COMPLIANT, CLASS_2_COMPLIANT, DAV_HEADER, dav_msg_100, dav_msg_200, dav_msg_300, dav_msg_400, dav_msg_500, DEPTH_0, DEPTH_1, DEPTH_HEADER, DEPTH_INFINITY, DESTINATION_HEADER, ENCODING, FAILED_DEPENDENCY, IF_HEADER, INSUFFICIENT_STORAGE, LOCK_TOKEN_HEADER, LOCKED, MULTI_STATUS, NAMESPACE_PREFIX, NAMESPACE_URI, OVERWRITE_HEADER, PROCESSING, STATUS_URI_HEADER, TIMEOUT_HEADER, UNPROCESSABLE_ENTITY`

Fields inherited from interface org.w3c.www.http.HTTP
`ACCEPTED, BAD_GATEWAY, BAD_REQUEST, byteArrayVersion, CONFLICT, CONNECT, CONTINUE, CREATED, DELETE, DONE, EXPECTATION_FAILED, FORBIDDEN, FOUND, GATEWAY_TIMEOUT, GET, GONE, HEAD, HTTP_VERSION_NOT_SUPPORTED, INTERNAL_SERVER_ERROR, LENGTH_REQUIRED, major_number, minor_number, MOVED_PERMANENTLY, msg_100, msg_200, msg_300, msg_400, msg_500, MULTIPLE_CHOICE, NO_CONTENT, NOHEADER, NON_AUTHORITATIVE_INFORMATION, NOT_ACCEPTABLE, NOT_ALLOWED, NOT_EXTENDED, NOT_FOUND, NOT_IMPLEMENTED, NOT_MODIFIED, OK, OPTIONS, PARTIAL_CONTENT, PAYMENT_REQUIRED, POST, PRECONDITION_FAILED, PROXY_AUTH_REQUIRED, PUT, REQUEST_ENTITY_TOO_LARGE, REQUEST_TIMEOUT, REQUEST_URI_TOO_LONG, REQUESTED_RANGE_NOT_SATISFIABLE, RESET_CONTENT, SEE_OTHER, SERVICE_UNAVAILABLE, SWITCHING, TEMPORARY_REDIRECT, TRACE, UNAUTHORIZED, UNSUPPORTED_MEDIA_TYPE, USE_PROXY`

Constructor Summary
`protected` | `DAVReply(MimeParser parser)`
`protected` | `DAVReply(short major, short minor, int status)`

Method Summary
`java.lang.String` | `getDAVHeader()`
`java.lang.String` | `getLockToken()`
`DAVStatusURI[]` | `getStatusURI()`

Methods inherited from class org.w3c.www.protocol.http.Reply
`getInputStream, hasInputStream, keepsAlive, matchesRequest, setContent, setStream, setStreamObserver`

Methods inherited from class org.w3c.www.http.HttpReplyMessage
`addAuthenticationInfo, addWarning, checkMustRevalidate, checkProxyRevalidate, checkPublic, dump, getAcceptRanges, getAge, getAuthenticationInfo, getLocation, getPrivate, getProxyAuthenticate, getPublic, getReason, getServer, getStandardReason, getStatus, getVary, getWarning, getWWWAuthenticate, notifyBeginParsing, setAcceptRanges, setAge, setAuthenticationInfo, setLocation, setLocation, setMustRevalidate, setProxyAuthenticate, setProxyRevalidate, setPublic, setPublic, setReason, setRetryAfter, setRetryAfter, setServer, setStatus, setVary, setWarning, setWWWAuthenticate, startEmit`

Methods inherited from class org.w3c.www.http.HttpEntityMessage
`addContentEncoding, getAllow, getContentBase, getContentEncoding, getContentLanguage, getContentLength, getContentLocation, getContentMD5, getContentRange, getContentType, getETag, getExpires, getLastModified, hasContentRange, setAllow, setContentBase, setContentEncoding, setContentLanguage, setContentLength, setContentLocation, setContentMD5, setContentType, setETag, setExpires, setLastModified`

Methods inherited from class org.w3c.www.http.HttpMessage
`addConnection, addNoCache, addPragma, addProxyConnection, addTransferEncoding, addVia, checkNoStore, checkOnlyIfCached, delState, emit, emit, emitHeaders, endEmit, enumerateHeaderDescriptions, enumerateHeaderDescriptions, generateExtNamespace, getCacheControl, getClone, getCManExtHeader, getConnection, getCookie, getCOptExtHeader, getDate, getEmitDate, getExtensionHeaders, getExtHeader, getExtList, getHeaderValue, getHeaderValue, getHeaderValue, getHeaderValue, getHttpCManExtDecl, getHttpCOptExtDecl, getHttpManExtDecl, getHttpOptExtDecl, getMajorVersion, getManExtHeader, getMaxAge, getMinorVersion, getNoCache, getOptExtHeader, getPragma, getProtocol, getProtocolInfo, getProtocolQuery, getProtocolRequest, getProxyConnection, getSetCookie, getSMaxAge, getState, getStateNames, getTrailer, getTransferEncoding, getUpgrade, getValue, getValue, getVersion, getVia, hasConnection, hasHeader, hasHeader, hasPragma, hasProxyConnection, hasState, hasTransferEncoding, notifyEndParsing, notifyHeader, registerExtHeader, registerHeader, registerHeader, removeHeader, removeHeader, setCacheControl, setConnection, setCookie, setDate, setEnd2EndExtensionAcknowledgmentHeader, setExtensionHeader, setHeaderValue, setHeaderValue, setHeaderValue, setHopByHopExtensionAcknowledgmentHeader, setHttpCManExtDecl, setHttpCOptExtDecl, setHttpExtDecl, setHttpManExtDecl, setHttpOptExtDecl, setMaxAge, setNamespaces, setNoCache, setNoCache, setNoStore, setOnlyIfCached, setPragma, setProtocol, setProtocolInfo, setProtocolQuery, setProtocolRequest, setProxyConnection, setSetCookie, setSMaxAge, setState, setTrailer, setTransferEncoding, setUpgrade, setValue, setVia`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAVReply

    protected DAVReply(short major,
                       short minor,
                       int status)

### DAVReply

    protected DAVReply(MimeParser parser)

Method Detail

### getLockToken

    public java.lang.String getLockToken()

### getStatusURI

    public DAVStatusURI[] getStatusURI()

### getDAVHeader

    public java.lang.String getDAVHeader()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD